Subject: Re: [PATCH v2 ] commit -v: strip diffs and submodule shortlogs from the commit message

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Nov 2013 12:34:33 -0800

Jens Lehmann <[email-masked]> writes:

> Am 18.11.2013 17:01, schrieb Junio C Hamano:
>> Jeff King <[email-masked]> writes:
>> 
>>> I found this hard to parse, I think because of the "keeping" (why would
>>> I not keep it?), and because you are talking about lines above and
>>> below. It is not as accurate to say:
>>>
>>>   # ------------------ >8 --------------------
>>>   # Everything below this line will be removed.
>>>
>>> because it is technically the line above that is the cutoff. But I think
>>> the meaning is clear, and it is simpler to parse.
>
> Ok, changed in this version.
>
>> I agree with your rewording suggestion....
>
> Which is what my last version already did :-)  But it didn't mention
> that in the commit message, which it does now).

Oh, another thing. Does this interact with the core.commentChar in
any way, and if so how?